# [Storm Streaming Server](http://stormstreaming.com/)

Storm Streaming Server is a multi-platform, multi-threaded server application designed for broadcasting live streams with ultra-low latency. The application is based on Java and requires a Java runtime to work.

# Requirements

## Minimal hardware requirements (250 connections / 720p)
- CPU: 8-core, 1.8+ Ghz
- Memory: 8 GiB
- Network Interface: 1Gbps


## Recommended hardware requirements (2800 connections / 720p)
- CPU: 16-core, 2.2+ Ghz
- Memory: 64 GiB
- Network Interface: 10Gbps


# Simplified installation

1. Install Java JDK - you can use either OpenJDK (https://openjdk.org/) or OracleJDK (https://www.oracle.com/java/technologies/downloads).

2. Install FFMPEG - it's available on all operating systems (https://ffmpeg.org/download.html).

3. Unzip StormStreamingServer package.

4. Navigate to the scripts folder and choose your startup script (startup.sh for Linux/MacOS, startup_win.bat for Windows).

5. You may want to edit these scripts to increase the Java memory allocation, for more information please check (https://www.stormstreaming.com/docs/v2/server-native-installation)

# Simplified configuration

1. Open config/preferences.xml and edit <Vhost> section (host & port), for a more detailed guide, please check (https://www.stormstreaming.com/docs/v2/server-vhosts-configuration)

2. Adjust Threadpool sizes in <ThreadPools>. A detailed guide can be found here (https://www.stormstreaming.com/docs/v2/server-threadpools-configuration). 

3. To enable transcoding, set the correct path to the FFMPEG binaries in the <Transcoder> section. A detailed guide can be found here (https://www.stormstreaming.com/docs/v2/server-transcoder-configuration). 

4. Make sure to edit the admin username and password in the <ControlPanel> section. Control panel can be accessed via: http://${SERVER_HOST}:${SERVER_PORT}/cpanel (please check <VHOST> to see which entry supports HTTP protocol).


# Resources

- [Documentation](https://www.stormstreaming.com/docs/v2)
- [Live demo page](https://www.stormstreaming.com/demo/index.html)
- [OpenJDK](https://openjdk.org)
- [OracleJDK](https://www.oracle.com/java/technologies/downloads)
- [FFMPEG](https://ffmpeg.org/download.html)
- [Changelog](CHANGELOG.md)

# License

- [License](LICENSE.txt)
