#!/bin/sh

if pgrep -f "StormStreamingServer.jar" > /dev/null; then

    echo "Storm Streaming Server is running. Attempting to shut it down..."

    pkill -15 -f "StormStreamingServer.jar"
 
    for i in {1..10}; do
        if pgrep -f "StormStreamingServer.jar" > /dev/null; then
            echo "Waiting for Storm Streaming Server to shut down... $i"
            sleep 1
        else
            echo "Storm Streaming Server has been successfully shut down."
            break
        fi
    done

    if pgrep -f "StormStreamingServer.jar" > /dev/null; then
        echo "Storm Streaming Server did not shut down gracefully, sending SIGKILL..."
        pkill -9 -f "StormStreamingServer.jar"
    fi
else
    echo "Storm Streaming Server is not running."
fi

exit