#!/bin/sh

echo "Storm Streaming Server :: Startup Script"

# Check if Java is installed and get the version
if ! JAVA_VERSION=$(java -version 2>&1); then
    echo "Java is not installed on this system. Please install Java 17+ like OpenJDK or Oracle JDK to run this application."
    exit 1
fi

JAVA_MAJOR_VERSION=$(echo "$JAVA_VERSION" | awk -F '"' '/version/ {print $2}' | cut -d'.' -f1)

# Check if Java major version is 17
if [ "$JAVA_MAJOR_VERSION" -ge "17" ]; then

    # Force shutdown of any existing instances    
    #pkill -9 -f "StormStreamingServer.jar"
    
    cd "$(dirname "$0")"/..

    echo "Starting new Storm Streaming Server instance..."

    java -server -Xmx16g -Xms8g -XX:+UseG1GC -XX:MaxGCPauseMillis=100 -jar "StormStreamingServer.jar" &
else
    echo "This application requires Java 17+ to run! Please update your Java JDK."
    exit 1
fi

exit
