@echo off
echo Storm Streaming Server :: Startup Script (Windows)

for /f "tokens=3" %%i in ('java -version 2^>^&1 ^| findstr /i "version"') do (
    set JAVA_VERSION=%%i
    goto versionFound
)

:versionNotFound
echo Java is not installed on this system. Please install Java 17+ like OpenJDK or Oracle JDK to run this application.
exit /b 1

:versionFound
for /f "delims=." %%j in ("%JAVA_VERSION:~1,-1%") do (
    set JAVA_MAJOR_VERSION=%%j
)

if %JAVA_MAJOR_VERSION% GEQ 17 (

    :: Force shutdown of any existing instances (uncomment the line below if needed)
    :: taskkill /F /IM "StormStreamingServer.jar" /T

    cd /d "%~dp0\.."

    echo Starting new Storm Streaming Server instance...
    start "StormStreamingServer" java -server -Xmx16g -Xms8g -XX:+UseG1GC -XX:MaxGCPauseMillis=100 -jar "StormStreamingServer.jar"
) else (
    echo This application requires Java 17+ to run! Please update your Java JDK.
    exit /b 1
)

exit /b
